"use strict";
this.name        = "dictators.js";
this.author      = "Ramirez";
this.copyright   = "June 2010";
this.description = "World script for populating dictatorship systems";
this.version     = "1.2";

this._shipSpawnOverride = false;

this.systemWillPopulate = function() {
	if (system.government === 3) {
		if (system.economy < 3) {
			if (system.countShipsWithRole("astrofactory") == 0 && (!worldScripts.station_validator || worldScripts.station_validator.$deaths("astrofactory").length === 0)) {
				var posAF = Vector3D((system.scrambledPseudoRandomNumber(1245) * 0.30 - 0.15), (system.scrambledPseudoRandomNumber(3827) * 0.30 - 0.15), 0.3).fromCoordinateSystem("wpu");
				system.setPopulator("dictators_astrofactory", {
					location: "COORDINATES",
					coordinates: posAF,
					deterministic:true,
					callback: function(pos) {
						var rck = system.addShips("asteroid", 30, pos, 40E3);
						var af = system.addShips("astrofactory", 1, pos, 0);
						if (!af || af.length === 0) log("dictators.populator", "OOPS! No astrofactory spawned");
					}}
				);
				//system.legacy_addShipsAt("astrofactory", 1, "wpu", [0, 0, 0.3])
				//system.legacy_addShipsAt("asteroid", 30, "wpu", [0, 0, 0.3])

				var posIT1 = Vector3D(0, 0, 0.8).fromCoordinateSystem("wpu");
				system.setPopulator("dictators_imptanker1", {
					location: "COORDINATES",
					coordinates: posIT1,
					callback: function(pos) {
						var tnk = system.addShips("imptanker", 1, pos, 0);
						if (!tnk || tnk.length === 0) log("dictators.populator", "OOPS! No imptanker spawned (1)");
					}}
				);

				var posIT2 = Vector3D(0, 0, 0.4).fromCoordinateSystem("wpu");
				system.setPopulator("dictators_imptanker2", {
					location: "COORDINATES",
					coordinates: posIT2,
					callback: function(pos) {
						var tnk = system.addShips("imptanker", 1, pos, 0);
						if (!tnk || tnk.length === 0) log("dictators.populator", "OOPS! No imptanker spawned (2)");
					}}
				);
				//system.legacy_addShipsAt("imptanker", 1, "wpu", [0, 0, 0.8])
				//system.legacy_addShipsAt("imptanker", 1, "wpu", [0, 0, 0.4])

				var posIF1 = Vector3D(0, 0, 0.3).fromCoordinateSystem("wpu");
				system.setPopulator("dictators_impfreighter1", {
					location: "COORDINATES",
					coordinates: posIF1,
					callback: function(pos) {
						var frt = system.addShips("impfreighter", 1, pos, 0);
						if (!frt || frt.length === 0) log("dictators.populator", "OOPS! No impfreighter spawned (1)");
					}}
				);

				var posIF2 = Vector3D(0, 0, 0.7).fromCoordinateSystem("wpu");
				system.setPopulator("dictators_impfreighter2", {
					location: "COORDINATES",
					coordinates: posIF2,
					callback: function(pos) {
						var frt = system.addShips("impfreighter", 1, pos, 0);
						if (!frt || frt.length === 0) log("dictators.populator", "OOPS! No impfreighter spawned (2)");
					}}
				);
				//system.legacy_addShipsAt("impfreighter", 1, "wpu", [0, 0, 0.3])
				//system.legacy_addShipsAt("impfreighter", 1, "wpu", [0, 0, 0.7])
			}
		}

		if(system.economy >= 6) {
			if(system.countShipsWithRole("prisonship") == 0) {
				var posPS = Vector3D(0, 0, 0.8).fromCoordinateSystem("wpu");
				system.setPopulator("dictators_prisonship", {
					location: "COORDINATES",
					coordinates: posPS,
					callback: function(pos) {
						var ps = system.addShips("prisonship", 1, pos, 0);
						if (!ps || ps.length === 0) log("dictators.populator", "OOPS! No prisonship spawned");
					}}
				);
				//system.legacy_addShipsAt("prisonship", 1, "wpu", [0, 0, 0.8])
			}
		}
	}
}
